Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Virtual Private Cloud
KZ
  • Начало работы
  • DDoS Protection
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • UpdateRules
        • UpdateRule
        • Delete
        • Move
        • ListOperations
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • SecurityGroupRuleSpec
  • PortRange
  • CidrBlocks
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. SecurityGroup
  4. UpdateRules

Virtual Private Cloud API, REST: SecurityGroup.UpdateRules

Статья создана
Yandex Cloud
Обновлена 18 июня 2026 г.
  • HTTP request
  • Path parameters
  • Body parameters
  • SecurityGroupRuleSpec
  • PortRange
  • CidrBlocks
  • Response
  • Status

Updates the rules of the specified security group.

HTTP requestHTTP request

PATCH https://vpc.api.yandexcloud.kz/vpc/v1/securityGroups/{securityGroupId}/rules

Path parametersPath parameters

Field

Description

securityGroupId

string

Required field. ID of the SecurityGroup that is being updated with new rules.
This field is required.

Body parametersBody parameters

{
  "deletionRuleIds": [
    "string"
  ],
  "additionRuleSpecs": [
    {
      "description": "string",
      "labels": "object",
      "direction": "string",
      "ports": {
        "fromPort": "string",
        "toPort": "string"
      },
      // Includes only one of the fields `protocolName`, `protocolNumber`
      "protocolName": "string",
      "protocolNumber": "string",
      // end of the list of possible fields
      // Includes only one of the fields `cidrBlocks`, `securityGroupId`, `predefinedTarget`
      "cidrBlocks": {
        "v4CidrBlocks": [
          "string"
        ],
        "v6CidrBlocks": [
          "string"
        ]
      },
      "securityGroupId": "string",
      "predefinedTarget": "string"
      // end of the list of possible fields
    }
  ]
}

Field

Description

deletionRuleIds[]

string

List of rules IDs to delete.

additionRuleSpecs[]

SecurityGroupRuleSpec

Security rules specifications.

SecurityGroupRuleSpecSecurityGroupRuleSpec

Field

Description

description

string

Description of the security rule.
The length must be less than or equal to 256.

labels

object (map<string, string>)

Rule labels as key:value pairs.
Each map key must match the regular expression: [a-z][-_./\\@0-9a-z]*.
Each map value must match the regular expression: [-_./\\@0-9a-z]*.
The length of each map key must be between 1 and 63.
The length of each map value must be less than or equal to 63.
The number of elements must be less than or equal to 64.

direction

enum (Direction)

The direction of network traffic allowed by this rule.
This field is required.

  • INGRESS: Allows ingress traffic.
  • EGRESS: Allows egress traffic.

ports

PortRange

The range of ports that allow traffic to pass through. Null value means any port.

protocolName

string

Protocol name.

Includes only one of the fields protocolName, protocolNumber.

Values from IANA protocol numbers.
Null value means any protocol.

protocolNumber

string (int64)

Protocol number from IANA protocol numbers.

Includes only one of the fields protocolName, protocolNumber.

Values from IANA protocol numbers.
Null value means any protocol.

cidrBlocks

CidrBlocks

CIDR blocks to allow to recieve or send traffic.

Includes only one of the fields cidrBlocks, securityGroupId, predefinedTarget.

Only one field must be specified.

securityGroupId

string

ID of the security group to add rule to.

Includes only one of the fields cidrBlocks, securityGroupId, predefinedTarget.

Only one field must be specified.

predefinedTarget

string

Predefined target. See security groups rules for more information.

Includes only one of the fields cidrBlocks, securityGroupId, predefinedTarget.

Only one field must be specified.

PortRangePortRange

Field

Description

fromPort

string (int64)

The lowest port in the range.
The value must be between 0 and 65535.

toPort

string (int64)

The highest port in the range.
The value must be between 0 and 65535.

CidrBlocksCidrBlocks

Field

Description

v4CidrBlocks[]

string

IPv4 CIDR blocks to allow traffic to.

v6CidrBlocks[]

string

IPv6 CIDR blocks to allow traffic to.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
Update
Следующая
UpdateRule
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»